Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERUTF8String

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DERUTF8String

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERUTF8String
extends DERObject
implements DERString

DER UTF8String object.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERUTF8String(java.lang.String string)` basic constructor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DERUTF8String` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an UTF8 String from a tagged object.
`static DERUTF8String` | `getInstance(java.lang.Object obj)` return an UTF8 string from the passed in object.
`java.lang.String` | `getString()`
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERUTF8String

    public DERUTF8String(java.lang.String string)

  basic constructor

Method Detail

### getInstance

    public static DERUTF8String getInstance(java.lang.Object obj)

  return an UTF8 string from the passed in object.

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERUTF8String getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

  return an UTF8 String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `DERObject`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `DERObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD